uuid: 87b24ddf-30a5-499b-affa-9fb8497ceac1
langcode: en
status: true
dependencies: {  }
id: upgrade_d7_node_forum
class: Drupal\migrate\Plugin\Migration
field_plugin_method: null
cck_plugin_method: null
migration_tags:
  - 'Drupal 7'
  - Content
migration_group: migrate_drupal_7
label: 'Nodes (Forum topic)'
source:
  plugin: d7_node
  node_type: forum
process:
  nid:
    -
      plugin: get
      source: tnid
  vid:
    -
      plugin: get
      source: vid
  langcode:
    -
      plugin: default_value
      source: language
      default_value: und
  title:
    -
      plugin: get
      source: title
  uid:
    -
      plugin: get
      source: node_uid
  status:
    -
      plugin: get
      source: status
  created:
    -
      plugin: get
      source: created
  changed:
    -
      plugin: get
      source: changed
  promote:
    -
      plugin: get
      source: promote
  sticky:
    -
      plugin: get
      source: sticky
  revision_uid:
    -
      plugin: get
      source: revision_uid
  revision_log:
    -
      plugin: get
      source: log
  revision_timestamp:
    -
      plugin: get
      source: timestamp
  comment_forum/0/status:
    -
      plugin: get
      source: comment
  taxonomy_forums:
    -
      plugin: sub_process
      source: taxonomy_forums
      process:
        target_id: tid
  body:
    -
      plugin: get
      source: body
  field_expert_users_list:
    -
      plugin: get
      source: field_expert_users_list
  field_topic_open_date:
    -
      plugin: sub_process
      source: field_topic_open_date
      process:
        value:
          plugin: format_date
          from_format: U
          to_format: U
          source: value
  field_upload_forum_image:
    -
      plugin: sub_process
      source: field_upload_forum_image
      process:
        target_id: fid
        alt: alt
        title: title
        width: width
        height: height
  field_body_in_other_languages:
    -
      plugin: get
      source: field_body_in_other_languages
  field_topics:
    -
      plugin: sub_process
      source: field_topics
      process:
        target_id: tid
destination:
  plugin: 'entity:node'
  default_bundle: forum
migration_dependencies:
  required:
    - upgrade_d7_user
    - upgrade_d7_node_type
  optional:
    - upgrade_d7_field_instance
    - upgrade_d7_comment_field_instance
